<?php

namespace OtomaticAi\Utils\ProjectSettings;

use OtomaticAi\Utils\ProjectSettings\DefaultSettings;

class ProjectSettingsFactory
{
    public static function make(string $type)
    {
        switch ($type) {
            case 'bulk':
                return new DefaultSettings();
            default:
                return new DefaultSettings();
        }
    }

    public static function types()
    {
        return [
            "bulk",
            "local",
            "brands",
            "comparative",
            "guide",
            "news",
            "rss",
            "sitemap",
            "url",
            "youtube",
            "amazon_comparator",
            "amazon_product",
            "simulator",
        ];
    }
}
